<bugID>751947<Summary>Downloads panel appears at the top left of the screen</Summary><Description>Created attachment 621100
screenshot

Seen this a couple of times now and shorlander said the same. I start a download and then the panel appears at the top right of the screen instead of being anchored to the downloads button. I think I say it appear pointing at the button for a second and then move to this bad position.</Description></bugID>